Add ACCEL_LOCATION=base property for Dell clamshell models

Bug #1938259 reported by Yao Wei
16
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OEM Priority Project
Undecided
Unassigned
systemd (Ubuntu)
Medium
Yao Wei
Focal
Medium
Yao Wei
Hirsute
Medium
Yao Wei
Impish
Medium
Yao Wei

Bug Description

We are planning to do SRU to systemd in focal, to avoid unwanted screen rotations on some Dell laptop models.

[Impact]

 * This fixes unwanted rotations on certain Dell clamshell laptop models with accelerometer.

[Test Plan]

 * On Dell laptops with model SKU 0A3E or 0E0E, install this package and kernel 5.13, or kernel with this patch backported:
    https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=e26f023e01ef26b4138bc1099af309bdc4523d23
 * Rotate the laptop and the display should not be rotated.

[Where problems could occur]

 * This is to add parameters for certain models in hwdb, and does not affect any other part of systemd.

 * This fix would only take effect with kernel 5.13 or the above patch backported.

[scope]

this is needed for all releases

this is being fixed upstream by https://github.com/systemd/systemd/pull/20314

[Other info]

 * The patch mentioned above is going to have a separated SRU for linux-oem-5.10 and linux-hwe-5.11 (LP: #1938143)

CVE References

Revision history for this message
Yao Wei (medicalwei) wrote :
Yao Wei (medicalwei)
tags: added: block-proposed-focal
Yao Wei (medicalwei)
description: updated
description: updated
Yao Wei (medicalwei)
description: updated
Yao Wei (medicalwei)
description: updated
tags: removed: block-proposed-focal
Revision history for this message
Yao Wei (medicalwei) wrote :
tags: added: oem-priority originate-from-1895110 somerville
description: updated
Revision history for this message
Dan Streetman (ddstreet) wrote :

For hirsute, what about existing users, should the patch retain the old matches? Like this:

--- a/hwdb.d/60-sensor.hwdb
+++ b/hwdb.d/60-sensor.hwdb
@@ -288,9 +288,11 @@ sensor:modalias:platform:HID-SENSOR-2000
  ACCEL_LOCATION=base

 sensor:modalias:platform:HID-SENSOR-200073:dmi:*svnDell*:pnLatitude9520:*:ct10:*
+sensor:modalias:platform:HID-SENSOR-200073:dmi:*svnDell*:sku0A3E:*
  ACCEL_LOCATION=base

 sensor:modalias:platform:HID-SENSOR-200073:dmi:*svnDell*:pnLatitude7420:*
+sensor:modalias:platform:HID-SENSOR-200073:dmi:*svnDell*:sku0B0B:*
  ACCEL_LOCATION=base

 # Dell Venue 8 Pro 3845

description: updated
Changed in systemd (Ubuntu Focal):
importance: Undecided → Medium
Changed in systemd (Ubuntu Hirsute):
importance: Undecided → Medium
Changed in systemd (Ubuntu Impish):
importance: Undecided → Medium
Changed in systemd (Ubuntu Focal):
status: New → In Progress
Changed in systemd (Ubuntu Hirsute):
status: New → In Progress
Changed in systemd (Ubuntu Impish):
status: New → In Progress
Changed in systemd (Ubuntu Focal):
assignee: nobody → Yao Wei (medicalwei)
Changed in systemd (Ubuntu Hirsute):
assignee: nobody → Yao Wei (medicalwei)
Changed in systemd (Ubuntu Impish):
assignee: nobody → Yao Wei (medicalwei)
Revision history for this message
Yao Wei (medicalwei) wrote :

> For hirsute, what about existing users, should the patch retain the old matches? Like this:

The old matches might match the same model name but with different form factor, although we are already trying to avoid that confusion by matching chassis type.

Also hirsute kernel is also going to backport the sku patch.

Revision history for this message
Dan Streetman (ddstreet) wrote :

With any SRU, it's important not to break existing users, so we can't rely on users upgrading the kernel along with systemd; it needs to continue to work without breaking if they upgrade systemd, but choose not to upgrade the kernel.

In focal since it's only adding new entries, there should be no breakage, and in impish since it's not released yet we don't need to worry about any 'existing' users, but in hirsute it does appear we need to keep the current entries, and just add the new sku-based entries as well, unless there's a specific reason that the existing entry lines should be removed in hirsute (i.e. if the existing lines actually *cause* a problem, instead of simply not covering all hardware).

I pushed your commits to f/h/i, can you check to make sure they look ok?

https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=d02cab1a9aad017b68ca1117bf3f0bbcb1b9315c

https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=a21edd743408b5603b0177e9c230c6d6b919e589

https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=5c1be33900edee94da0dc9a4ade8edcd079b4c85

Revision history for this message
Yao Wei (medicalwei) wrote (last edit ):

> I pushed your commits to f/h/i, can you check to make sure they look ok?

That hirsute change is okay after discussion with our PM.

Other than for h/i the changelog doesn't contain file path (I forgot about it), everything else seems okay to me.

Revision history for this message
Yao Wei (medicalwei) wrote :

When will we upload the changes to -proposed?

Revision history for this message
Dan Streetman (ddstreet) wrote :

> When will we upload the changes to -proposed?

i'll upload this week, so hopefully it can be released next week. The focal point release is this week, so review of the upload may be delayed, but hopefully not much.

Revision history for this message
Dan Streetman (ddstreet) wrote :

included in impish in version 248.3-1ubuntu4

Changed in systemd (Ubuntu Impish):
status: In Progress → Fix Committed
Revision history for this message
Chris Halse Rogers (raof) wrote : Please test proposed package

Hello Yao, or anyone else affected,

Accepted systemd into hirsute-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/systemd/247.3-3ubuntu3.5 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-hirsute to verification-done-hirsute. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-hirsute. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in systemd (Ubuntu Hirsute):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-hirsute
Revision history for this message
Ubuntu SRU Bot (ubuntu-sru-bot) wrote : Autopkgtest regression report (systemd/247.3-3ubuntu3.5)

All autopkgtests for the newly accepted systemd (247.3-3ubuntu3.5) for hirsute have finished running.
The following regressions have been reported in tests triggered by the package:

systemd/247.3-3ubuntu3.5 (armhf)
munin/2.0.57-1ubuntu1 (amd64)
udisks2/2.9.2-1ubuntu1 (arm64)
initramfs-tools/0.139ubuntu3 (amd64)
swupdate/2020.11-2 (s390x)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/hirsute/update_excuses.html#systemd

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Revision history for this message
Łukasz Zemczak (sil2100) wrote : Please test proposed package

Hello Yao, or anyone else affected,

Accepted systemd into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/systemd/245.4-4ubuntu3.12 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in systemd (Ubuntu Focal):
status: In Progress → Fix Committed
tags: added: verification-needed-focal
Revision history for this message
Ubuntu SRU Bot (ubuntu-sru-bot) wrote : Autopkgtest regression report (systemd/245.4-4ubuntu3.12)

All autopkgtests for the newly accepted systemd (245.4-4ubuntu3.12) for focal have finished running.
The following regressions have been reported in tests triggered by the package:

flatpak/1.6.5-0ubuntu0.3 (amd64)
gvfs/1.44.1-1ubuntu1 (amd64, arm64)
munin/2.0.56-1ubuntu1 (s390x)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/focal/update_excuses.html#systemd

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Yao Wei (medicalwei)
tags: added: verification-failed-focal
Revision history for this message
Yao Wei (medicalwei) wrote :

We found that Dell Latitude 7420 is not actually fixed, and may cause Impish to have regression due to the removal of the product name modalias.

Changed in systemd (Ubuntu Focal):
status: Fix Committed → In Progress
Changed in systemd (Ubuntu Hirsute):
status: Fix Committed → In Progress
Changed in systemd (Ubuntu Impish):
status: Fix Committed → In Progress
tags: added: verification-failed-impish
Revision history for this message
Dan Streetman (ddstreet) wrote :

> We found that Dell Latitude 7420 is not actually fixed, and may cause Impish to have regression due to the removal of the product name modalias.

ok, well i guess we have to revert your patch and respin all the releases then.

please, next time, test your change before things get into -proposed.

tags: added: verification-failed verification-failed-hirsute
removed: verification-needed verification-needed-focal verification-needed-hirsute
Revision history for this message
Dan Streetman (ddstreet) wrote :

opened bug 1942899 to revert your patch

please open a new bug to track adding your correct patch in to later systemd uploads

Changed in systemd (Ubuntu Impish):
status: In Progress → Won't Fix
Changed in systemd (Ubuntu Hirsute):
status: In Progress → Won't Fix
Changed in systemd (Ubuntu Focal):
status: In Progress → Won't Fix
Changed in systemd (Ubuntu):
status: In Progress → Won't Fix
Yao Wei (medicalwei)
Changed in oem-priority:
status: New → Won't Fix
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package systemd - 245.4-4ubuntu3.13

---------------
systemd (245.4-4ubuntu3.13) focal; urgency=medium

  * d/p/dell-clamshell-accel-location-base-with-sku.patch:
    Revert incorrect patch (LP: #1942899)

systemd (245.4-4ubuntu3.12) focal; urgency=medium

  [ Yao Wei ]
  * d/p/dell-clamshell-accel-location-base.patch:
    Add ACCEL_LOCATION=base property for Dell clamshell models (LP: #1938259)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=5c1be33900edee94da0dc9a4ade8edcd079b4c85

  [ Lukas Märdian ]
  * Add d/p/lp1934221-resolved-disable-event-sources-before-unreffing-them.patch
    - Fix segfault in systemd-resolve (LP: #1934221)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=6c401900c70962052f56c7108fdc02fe7f84c9bf

  [ Simon Chopin ]
  * d/p/lp1914740-network-enable-DHCP-broadcast-flag-if-required-by-in.patch:
    - Apply upstream patch to fix Hipersocket DHCP mode (LP: #1914740)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=326ae43b7966d9e7c5f7124027185a79a07fa276

  [ Dan Streetman ]
  * d/p/lp1934981-correct-suspend-then-sleep-string.patch:
    Fix sleep verb used by logind during suspend-then-hibernate
    (LP: #1934981)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=997f3a7da3d5db22e3c63626c3f7dc3dff0830b0
  * d/p/lp1937238-util-return-the-correct-correct-wd-from-inotify-help.patch:
    Fix watch for time sync (LP: #1937238)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=dbabff8a03eb232c19174eff1335cd7cb7d7860c
  * d/extra/dhclient-enter-resolved-hook:
    Reset start limit counter for systemd-resolved in dhclient hook
    (LP: #1939255)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=9d3a91a0b70a4b2bcc166f366cd0a880fd494812
  * d/p/lp1935051-shared-unit-file-make-sure-the-old-hashmaps-and-sets.patch:
    Fix memory leak in path cache (LP: #1935051)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=12d6bdeb35f309158fe8d4242c6dd9be4d067604
  * d/p/lp1934147/0001-cgroup-do-catchup-for-unit-cgroup-inotify-watch-file.patch,
    d/p/lp1934147/0002-core-Make-sure-cgroup_oom_queue-is-flushed-on-manage.patch:
    Catchup cgroup inotify watch after reexec/reload (LP: #1934147)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=63eabc88b8e0005eb40b15b543538ce35377bdbd

 -- Dan Streetman <email address hidden> Tue, 07 Sep 2021 14:37:22 -0400

Changed in systemd (Ubuntu Focal):
status: Won't Fix → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package systemd - 247.3-3ubuntu3.6

---------------
systemd (247.3-3ubuntu3.6) hirsute; urgency=medium

  * d/p/dell-clamshell-accel-location-base-with-sku.patch:
    Revert incorrect patch (LP: #1942899)

systemd (247.3-3ubuntu3.5) hirsute; urgency=medium

  [ Yao Wei ]
  * d/p/dell-clamshell-accel-location-base-with-sku.patch:
    Use SKU to identify Dell clamshell models for accelerometer properties
    (LP: #1938259)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=a21edd743408b5603b0177e9c230c6d6b919e589

  [ Lukas Märdian ]
  * Add d/p/lp1934221-resolved-disable-event-sources-before-unreffing-them.patch
    - Fix segfault in systemd-resolve (LP: #1934221)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=55906c32bdfd862e454c0fce80c4e023de6c3b19

  [ Simon Chopin ]
  * d/p/lp1914740-network-enable-DHCP-broadcast-flag-if-required-by-in.patch:
    - Apply upstream patch to fix Hipersocket DHCP mode (LP: #1914740)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=c7559785d7d4efaaa899009bceeb9498e53342e5

  [ Dan Streetman ]
  * d/p/lp1934981-correct-suspend-then-sleep-string.patch:
    Fix sleep verb used by logind during suspend-then-hibernate
    (LP: #1934981)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=cf75bbb01a6e7e2516e2bbf541c8e84d0548359c
  * d/p/lp1934147/0001-cgroup-do-catchup-for-unit-cgroup-inotify-watch-file.patch,
    d/p/lp1934147/0002-core-Make-sure-cgroup_oom_queue-is-flushed-on-manage.patch:
    Catchup cgroup inotify watch after reexec/reload (LP: #1934147)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=d34d104339065665fa64ccda72d07ba8e2b7e10f

 -- Dan Streetman <email address hidden> Tue, 07 Sep 2021 14:34:22 -0400

Changed in systemd (Ubuntu Hirsute):
status: Won't Fix → Fix Released
Revision history for this message
Dan Streetman (ddstreet) wrote :

this was marked fix-released for f/h just due to the tooling matching the bug number; this was actually reverted as shown in the changelogs posted in the above comments. I'll just correct f/h to indicate this is wontfix, and a new bug will or has been opened to fix this correctly.

Changed in systemd (Ubuntu Hirsute):
status: Fix Released → Won't Fix
Changed in systemd (Ubuntu Focal):
status: Fix Released → Won't Fix
Revision history for this message
Yao Wei (medicalwei) wrote :

New SRU bug has been opened at LP: #1943561

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package systemd - 248.3-1ubuntu7

---------------
systemd (248.3-1ubuntu7) impish; urgency=medium

  * d/tests/tests-in-lxd: suppress the cgroups v2 warning on stderr from
    lxd/lxc even more comprehensively until the snapd change required to
    do it nicely gets into a release.

 -- Michael Hudson-Doyle <email address hidden> Wed, 01 Sep 2021 19:21:58 +1200

Changed in systemd (Ubuntu Impish):
status: Won't Fix → Fix Released
Lukas Märdian (slyon)
Changed in systemd (Ubuntu Impish):
status: Fix Released → Won't Fix
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package systemd - 247.3-3ubuntu3.7

---------------
systemd (247.3-3ubuntu3.7) hirsute-security; urgency=medium

  * SECURITY UPDATE: systemd-tmpfiles could be made to crash.
    - d/p/rm-rf-refactor-rm-rf-children-split-out-body-of-directory.patch:
      Backport upstream patch from PR#20173
    - d/p/rm-rf-optionally-fsync-after-removing-directory-tree.patch:
      Backport upstream patch required for CVE-2021-3997 patches
    - d/p/CVE-2021-3997-1.patch: Backport upstream patch to refactor
      rm_rf_children_inner()
    - d/p/CVE-2021-3997-2.patch: Backport upstream patch to refactor
      rm_rf()
    - d/p/CVE-2021-3997-3.patch: Backport upstream patch to loop over
      nested directories instead of using recursion
    - CVE-2021-3997

 -- Alex Murray <email address hidden> Mon, 10 Jan 2022 14:56:34 +1030

Changed in systemd (Ubuntu Hirsute):
status: Won't Fix → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package systemd - 245.4-4ubuntu3.15

---------------
systemd (245.4-4ubuntu3.15) focal-security; urgency=medium

  * SECURITY UPDATE: systemd-tmpfiles could be made to crash.
    - d/p/rm-rf-refactor-rm-rf-children-split-out-body-of-directory.patch:
      Backport upstream patch from PR#20173
    - d/p/rm-rf-optionally-fsync-after-removing-directory-tree.patch:
      Backport upstream patch required for CVE-2021-3997 patches
    - d/p/CVE-2021-3997-1.patch: Backport upstream patch to refactor
      rm_rf_children_inner()
    - d/p/CVE-2021-3997-2.patch: Backport upstream patch to refactor
      rm_rf()
    - d/p/CVE-2021-3997-3.patch: Backport upstream patch to loop over
      nested directories instead of using recursion
    - CVE-2021-3997

 -- Alex Murray <email address hidden> Mon, 10 Jan 2022 15:26:38 +1030

Changed in systemd (Ubuntu Focal):
status: Won't Fix → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers